This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1289275 - Gnome removable drive icon missing
Gnome removable drive icon missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 14:46 EST by Steevithak
Modified: 2015-12-10 12:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 10:00:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2015-12-07 14:46:13 EST
Description of problem:
When I insert a usb flash drive or other removable media, no removable media icon is added to the desktop or taskbar. This make it impossible to know what's currently mounted or easily unmount it. As a work-around I'm opening a command prompt, typing "df -h" and then manually unmounting the drive before removal. However, a casual user would probably not be able to figure this out and is likely to remove a drive without unmounting it first. 

Version-Release number of selected component (if applicable):
F23

How reproducible:
Always

Steps to Reproduce:
1. install F23
2. insert a usb flash drive
3. look for the removable drive icon so you can unmount it

Actual results:
no removable drive icon, no easy way to know what drives are mounted, no easy way to unmount them

Expected results:
removable drive icon should appear

Additional info:
Comment 1 Florian Müllner 2015-12-10 10:00:35 EST
The application you use to write to the removable device (e.g. nautilus) should allow you to eject the media. If you really want this available as a system action, there are extensions (for instance this one[0]) you can use to add it.

[0] https://extensions.gnome.org/extension/7/removable-drive-menu/
Comment 2 Steevithak 2015-12-10 12:13:25 EST
Thanks, I've installed the extension. But knowing whether or not there are removable drives mounted and being able to safely unmount them really seems like it should be a basic part of the computer's user interface, not an optional add on!

Note You need to log in before you can comment on or make changes to this bug.